VCS: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook/-/tree/5e50261e03a5bda4fee2b51dded3d9becaa2f769
Name:       pyphonebook
Version:    2.2.0
Release:    1%{?dist}
Summary:    Python API and small CLI tool to query the CERN LDAP personnel database

Group: CERN/Utilities
License: LGPLv3+
URL: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook
Source: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-devel

## %generate_buildrequires, pyproject_buildrequires not
## avaiable on 8 so old-fashioned way
%if 0%{?el8}
BuildRequires: epel-rpm-macros
BuildRequires: python3-setuptools
BuildRequires: python3-argparse-manpage
BuildRequires: python3-ldap3
BuildRequires: python3-pyasn1
BuildRequires: python3-wheel
%endif

# Drop the virtual package with 10
%if 0%{?rhel} <= 9
Provides: phonebook
Obsoletes: phonebook
%endif


%description
Python API and small CLI tool to query the CERN LDAP personnel database.


%prep
%setup -q -n pyphonebook-%{version}

%if %{?rhel} >= 9
%generate_buildrequires
%pyproject_buildrequires
%endif


%build
%if 0%{?el8} 
%py3_build
%else
%pyproject_wheel
%endif


%install
%if 0%{?el8} 
%py3_install
%else
%pyproject_install
%pyproject_save_files -l pyphonebook
%endif

cd $RPM_BUILD_ROOT/%{_bindir}
ln -s pyphonebook phonebook


# Look at running pytest when EL8 is dead and
# if python(jq) ever turns up as RPM
%check
%if 0%{?el8} 
%py3_check_import pyphonebook  -e 'pyphonebook.tests*'
%else
%pyproject_check_import pyphonebook  -e 'pyphonebook.tests*'
%endif


%if 0%{?el8} 
%files
%{python3_sitelib}/pyphonebook/
%{python3_sitelib}/pyphonebook-*.egg-info
%{_bindir}/pyphonebook
%{_mandir}/man1/pyphonebook.1.*
%{_bindir}/phonebook
%license COPYING
%else
%files -f %{pyproject_files}
%{_bindir}/pyphonebook
%{_mandir}/man1/pyphonebook.1.*
%{_bindir}/phonebook
%endif


%changelog
* Mon Jun 2 2025 Steve Traylen <steve.traylen@cern.ch> - 2.2.0-1
- First EL10 build
- Drop "phonebook" virtual package on EL10 only.
- Switch to pyproject rpm macros for EL9 and 10.
- Add a COPYING file.

* Tue Feb 18 2025 Ben Morrice <ben.morrice@cern.ch> - 2.1.6-1
- Fix status output of service accounts

* Fri Feb 03 2023 Ben Morrice <ben.morrice@cern.ch> - 2.1.5-1
- remove WARNING message when using --terse argument

* Thu Dec 15 2022 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.4-2
- Replace old perl phonebook for versions 8 and up

* Thu Dec 02 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.4-1
- Fix querying for email addresses

* Tue Sep 21 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.3-1
- Added --json output option
- Fixed bug in CLI when nothing to search for
- Intercept KeyboardInterrupt correctly

* Thu Sep 16 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.2-1
- Fixed searching for first and last name

* Tue Sep 14 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-2
- Fixed incorrect python shebang for portability

* Wed Sep 08 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-1
- Fix display of other telephones

* Mon Sep 06 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.0-1
- Added man page
- Migrated ldap library from python-ldap to ldap3
- Exit with status code 1 when no matches are found
- Don't rely on another binary for getting group names

* Thu Jul 22 2021 Sara Zanzottera <sara.zanzottera@cern.ch> - 2.0.1-2
- [all] Try to build for CentOS 8
